GET /profiles/{collection-id}/{profile-id}

Use the GET /profiles/{collection-id}/{profile-id} endpoint to return a single profile from a profile collection by its profile ID.

Note

This endpoint is part of the Real-time API, an unstable API that may change without advance notice of breaking changes.

Note

In the Amperity user interface a profile collection is shown on the Profiles page. The value for {collection-id} identifies that profile collection.

Prerequisites

  1. Add an API key.

  2. Generate an access token.

  3. A profile collection must be configured for your tenant. Before creating a profile collection, you must contact your Amperity representative to enable real-time product features.

Note

The access token must be granted the profile-collections:read and pii:read permissions.

Request URL

Direct all requests to the GET /profiles/{collection-id}/{profile-id} endpoint to the request URL. The request URL uses the base URL with the endpoint path appended.

Amazon AWS

https://app.amperity.com/prof/profiles/{collection-id}/{profile-id}

Microsoft Azure

https://{tenant-id}.amperity.com/prof/profiles/{collection-id}/{profile-id}

You can find the tenant ID from the Amperity user interface. From the Settings page and select the Security tab. Under API keys, in the row for an API key, open the menu and select Copy tenant ID.

Rate limit

A rate limit is the number of requests that may be made to the Amperity API in a given time period.

Requests

A request to the GET /profiles/{collection-id}/{profile-id} endpoint is similar to:

curl --request GET \
       'https://app.amperity.com/prof/profiles/{collection-id}/{profile-id}' \
     --header 'amperity-tenant: {tenant-id}' \
     --header 'Authorization: Bearer {token}'

This example is formatted for readability in a narrow page layout.

Request parameters

The following table describes the parameters that may be used with the GET /profiles/{collection-id}/{profile-id} endpoint.

Parameter

Description

collection-id

String. Required.

The ID of the profile collection that contains the profile.

profile-id

String. Required.

The ID of the profile to return.

enrich

Boolean. Optional.

Set to true to include enriched attributes in the returned profile. Default value: false.

Responses

A response from the GET /profiles/{collection-id}/{profile-id} endpoint will match an HTTP status code. A 200 response returns the profile.

200 OK

The 200 response returns the profile.

 1{
 2  "collection_id": "{collection-id}",
 3  "profile_id": "{profile-id}",
 4  "attributes": {
 5    "email": "customer@example.com"
 6  },
 7  "created_at": "{timestamp}",
 8  "updated_at": "{timestamp}",
 9  "ticked_at": "{timestamp}",
10  "links": {
11    "email": ["customer@example.com"],
12    "phone": ["+15555550100"]
13  }
14}

Response parameters

A 200 OK response contains the following parameters.

Parameter

Description

collection_id

The ID of the profile collection that contains the profile.

profile_id

The unique ID for the profile.

attributes

A map of key-value profile attributes. The specific keys and values depend on how the profile collection is configured.

created_at

The timestamp at which the profile was created.

updated_at

The timestamp at which the profile was last updated.

ticked_at

The timestamp at which the profile was last processed.

links

A map of keychain link type to the array of linked values for that type.

404

No profile with the given {profile-id} exists in the profile collection.